<?php
namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Twilio\Rest\Client;
use App\Models\BuyNumber;

class BuyNumberCrudController extends Controller
{
  protected $_twilioClient;
  public function __construct(Client $twilioClient)
  {
      $this->_twilioClient = $twilioClient;
  }
    public function index(Request $request)
    {
        $search_term = $request->input('q');

        $numbers = $this->_twilioClient->availablePhoneNumbers("US")->local->read(
                ['areaCode' => $search_term],20
            );
            $tmpData = array();
            $data = array();
            foreach($numbers as $i => $number){
              $buyNumber = new BuyNumber();
              $buyNumber->number = $number->phoneNumber;
              $buyNumber->friendly_name = $number->friendlyName;
              $buyNumber->type = 'local';
              $buyNumber->save();

              $tmpData['id'] = $number->phoneNumber;
              $tmpData['text'] = $number->friendlyName;
              array_push($data,$tmpData);
            }

        if ($search_term)
        {
            $results = BuyNumber::where('number', 'LIKE', '%'.$search_term.'%')->paginate(20);
        } else {
            $results = BuyNumber::paginate(20);
        }

        return $results;
    }
}
