<?php
namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Api\BaseController as BaseController;
use Validator;
use App\Models\Log;
use App\Models\Caller;
use App\Models\TrackingNumber;
use App\Http\Resources\LogResource;
use Illuminate\Support\Facades\Log as Err;

use Twilio\Rest\Client;
use Twilio\TwiML\VoiceResponse;


class LogController extends BaseController
{
 public function index(Request $request)
 {
     $numbers = Log::all();
     return $this->sendResponse(LogResource::collection($numbers), 'Posts fetched.');
 }



 public function store(Request $request)
 {
     $incoming_tracking_number = $request->input('To');
     $tracking_number = TrackingNumber::where('number_id', $incoming_tracking_number)->first();

     $incoming_caller = $request->input('From');
     $caller = Caller::where('number', $incoming_caller)->first();

     if(empty($caller)) {
       $caller = new Caller;

       $caller->number = $incoming_caller;
       $caller->name = $request->input('CallerName') ? $request->input('CallerName') : "Unknown";
       $caller->state = $request->input('FromState');
       $caller->city = $request->input('FromCity');
       $caller->save();
     }

     $call_log = new Log;
     $call_log->sid = $request->input('CallSid');
     $call_log->status = $request->input('CallStatus');
     $call_log->caller_id = $caller->id;
     $call_log->tracking_number_id = $tracking_number->id;
     $call_log->client_number_id = $tracking_number->clientNumber->id;
     $call_log->client_id = $tracking_number->client->id;
     $call_log->save();

     //$client_number = $tracking_number->clientNumber->number;

     $return_number = new VoiceResponse();
     $return_number->dial($tracking_number->clientNumber->number);

     return response($return_number, 201)
         ->header('Content-Type', 'application/xml');

     //return $this->sendResponse(LogResource::collection($numbers), 'Posts fetched.');
 }

 public function update(Request $request)
 {
   $log = Log::where('sid', $request->input('CallSid'))->first();
   Err::info($request);

   $log->status = $request->input('CallStatus');
   $log->duration = $request->input('CallDuration');
   $log->update();
    /*$number = Log::find($id);

    if (is_null($number)) {
        return $this->sendError('Product not found.');
    }



    $call_log->status = $request;
    $call_log->duration = $request;
    $call_log->status = $request;

    return $this->sendResponse(new LogResource($number), 'Product retrieved successfully.');
*/
 }
}
