<?php
namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\API\BaseController as BaseController;
use Validator;
use App\Models\TrackingNumber;
use App\Http\Resources\TrackingNumberResource;


class TrackingNumberController extends BaseController
{
 public function index(Request $request)
 {
     $numbers = TrackingNumber::all();
     return $this->sendResponse(TrackingNumberResource::collection($numbers), 'Posts fetched.');
 }



 public function store(Request $request)
 {
     $incoming_tracking_number = $request->input('To');
     $tracking_number = TrackingNumber::where('number_id', incoming_tracking_number)->first();

     $client_number = $tracking_number->client->number;

     $return_number = new Twiml();
     $return_number->dial($client_number);

     return response($return_number, 201)
         ->header('Content-Type', 'application/xml');

     //return $this->sendResponse(TrackingNumberResource::collection($numbers), 'Posts fetched.');
 }






 public function show($id)
 {
    $number = TrackingNumber::find($id);

    if (is_null($number)) {
        return $this->sendError('Product not found.');
    }

    return $this->sendResponse(new TrackingNumberResource($number), 'Product retrieved successfully.');
 }
}
