<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    use \Backpack\CRUD\app\Models\Traits\CrudTrait;
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'phone_number',
        'email',
        'enabled',
        'auth_token',
        'sid',
        'app_sid'
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
    ];



    public function trackingNumber()
    {
      return $this->hasMany(TrackingNumber::class);
    }

    public function call_log()
    {
      return $this->hasMany(Log::class);
    }
    
    public function numbers()
    {
      return $this->hasMany(ClientNumber::class);
    }

    public function caller()
    {
      return $this->hasMany(Caller::class);
    }

}
