<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Log extends Model
{
    use \Backpack\CRUD\app\Models\Traits\CrudTrait;
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'caller_id',
        'tracking_number_id',
        'client_id',
        'client_number_id',
        'sid',
        'duration',
        'status',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
    ];

    public function caller()
    {
        return $this->belongsTo(Caller::class,'caller_id','id');
    }

    public function trackingNumber()
    {
        return $this->belongsTo(TrackingNumber::class,'tracking_number_id','id');
    }
    public function clientNumber()
    {
        return $this->belongsTo(ClientNumber::class,'client_number_id','id');
    }
    public function client()
    {
        return $this->belongsTo(Client::class,'client_id','id');
    }
}
