<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Twilio\Rest\Client;
use Illuminate\Support\Facades\View;
use App\View\Composers\DashboardComposer;

class TwilioServiceProvider extends ServiceProvider
{
    
    
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
      $accountSid = config('services.twilio')['twilio_account_sid']
      or die("TWILIO_ACCOUNT_SID is not set in the environment");
      $authToken = config('services.twilio')['twilio_auth_token']
      or die("TWILIO_AUTH_TOKEN is not set in the environment");

      $twilioClient = new Client($accountSid, $authToken);

      $this->app->instance(Client::class, $twilioClient);
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function provides()
    {
        return [Client::class];
    }
    
    public function boot() {
         View::composer(backpack_view('dashboard'), DashboardComposer::class);
    }
}
