<?php
 
namespace App\View\Composers;
 
use Illuminate\View\View;
use Twilio\Rest\Client as TWL;

class DashboardComposer
{
    /**
     * The user repository implementation.
     *
     * @var \App\Repositories\UserRepository
     */
    protected $twilioClient;
 
    /**
     * Create a new profile composer.
     *
     * @param  \App\Repositories\UserRepository  $users
     * @return void
     */
    public function __construct(TWL $twilioClient)
    {
        $this->_twilioClient = $twilioClient;
    }
 
    /**
     * Bind data to the view.
     *
     * @param  \Illuminate\View\View  $view
     * @return void
     */
    public function compose(View $view)
    {
        $view->with('lastMonthTotalPrice',$this->_twilioClient->usage->records->lastMonth->read(array(
                                "category" => "totalprice",
                            )));
        $view->with('thisMonthTotalPrice',$this->_twilioClient->usage->records->thisMonth->read(array(
                                "category" => "totalprice",
                            )));
        $view->with('lastMonthTotalCalls',$this->_twilioClient->usage->records->lastMonth->read(array(
                                "category" => "calls-inbound",
                            )));  
        $view->with('thisMonthTotalCalls',$this->_twilioClient->usage->records->thisMonth->read(array(
                                "category" => "calls-inbound",
                            )));
        $view->with('lastMonthTotalMinutes',$this->_twilioClient->usage->records->lastMonth->read(array(
                                "category" => "calls-inbound",
                            )));  
        $view->with('thisMonthTotalMinutes',$this->_twilioClient->usage->records->thisMonth->read(array(
                                "category" => "calls-inbound",
                            ))); 
    }
}