@extends(backpack_view('blank'))

@php

$numberCount = App\Models\TrackingNumber::count();
$clientCount = App\Models\Client::count();
$callerCount = App\Models\Caller::count();
$logCount = App\Models\Log::count();


    if (config('backpack.base.show_getting_started')) {
        $widgets['before_content'][] = [
            'type'        => 'view',
            'view'        => 'backpack::inc.getting_started',
        ];
    } else {
        $widgets['before_content'][] = [
            'type' => 'div',
	        'class' => 'row',
	        'content' => [
	            [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'], // optional
                    'class'   => 'card bg-dark text-white', // optional
                    'content'    => [
                        'header' => $numberCount, // optional
                        'body'   => 'Active Tracking Numbers',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => $clientCount, // optional
                        'body'   => 'Active Clients',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => $callerCount, // optional
                        'body'   => 'Lifetime Callers',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => $logCount, // optional
                        'body'   => 'Lifetime Calls',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => '$'.$lastMonthTotalPrice[0]->price, // optional
                        'body'   => 'Cost Last Month',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => '$'.$thisMonthTotalPrice[0]->price, // optional
                        'body'   => 'Cost This Month',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => $lastMonthTotalCalls[0]->count, // optional
                        'body'   => 'Calls Last Month',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => $thisMonthTotalCalls[0]->count, // optional
                        'body'   => 'Calls This Month',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => $lastMonthTotalCalls[0]->usage, // optional
                        'body'   => 'Minutes Last Month',
                    ],
                ], [
                    'type'       => 'card',
                    'wrapper' => ['class' => 'col-sm-6 col-md-3'],
                    'class'   => 'card bg-dark text-white', 
                    'content'    => [
                        'header' => $thisMonthTotalCalls[0]->usage, // optional
                        'body'   => 'Minutes This Month',
                    ],
                ], [
                    'type'        => 'jumbotron',
                    'heading'     => trans('backpack::base.welcome'),
                    'content'     => trans('backpack::base.use_sidebar'),
                    'button_link' => backpack_url('logout'),
                    'button_text' => trans('backpack::base.logout'),
                ], 
            ]
        ];
    }
    
@endphp

@section('content')

@endsection
