<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Twilio\Rest\Client;

class twilioServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
      $accountSid = config('app.twilio_account_sid')
      or die("TWILIO_ACCOUNT_SID is not set in the environment");
      $authToken = config('app.twilio_auth_token')
      or die("TWILIO_AUTH_TOKEN is not set in the environment");

      $twilioClient = new Client($accountSid, $authToken);

      $this->app->instance(Client::class, $twilioClient);
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function provides()
    {
        return [Client::class];
    }
}
