<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Api\TrackingNumberController;
use App\Http\Controllers\Api\LogController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::post('/auth/login', 'App\Http\Controllers\Api\AuthController@loginUserlo');

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::resource('/numbers', TrackingNumberController::class)->middleware('auth:sanctum');

Route::get('/buy-number', 'App\Http\Controllers\Api\BuyNumberCrudController@index');

Route::resource('/call-log', LogController::class);
